Bug 309067 - blogs.kde.org and planetkde.org do not support embedded videos
Summary: blogs.kde.org and planetkde.org do not support embedded videos
Status: RESOLVED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-26 23:18 UTC by Jarosław Staniek
Modified: 2018-12-10 14:36 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarosław Staniek 2012-10-26 23:18:13 UTC
These days embedded video frames are so much typical on blogs. I am rather satisfied user of blogs.kde.org but too bad it lacks of support for <object> tag. This tiny exception could help quite a bit to attract readers. Similarly, the tags are apparently cut-off in planetkde.org, so in one go I'd like to also ask for improvement there. Without this, blog like http://aseigo.blogspot.com/2012/10/plasma-active-three.html look stripped down.

Please let us, developers, to publish more screencasts...


Reproducible: Always




As a cosmetic change, I'm asking for supporting <center> tag as well -- useful for images, so I don't need to use &nbsp;s.
Comment 1 Ingo Malchow 2012-12-09 15:58:43 UTC
Awaiting feedback from the sysadmins about the object tag.

As for centered images, the center tag is deprecated, but you can add class "pull-center" to your image, gives the same effect. Note though, this does not count for the planet, only the neverland enabled sites.
Comment 2 Jarosław Staniek 2012-12-09 19:30:42 UTC
Thanks,
I'd use the class *if* I remember it - but I am afraid there are too many sites where humans are forced to remember internals.

Lack of <center> makes the content look severe. Someone would say it discourages from using this blog engine. For the (purists) record, I am using tons of '&nbsp;' to achieve reasonable effect for narrower images. How do you like that compared <center>? 

Idea: perhaps the <center> tag can be accepted as logical one and replaced to whatever class you want during the presentation phase.
Comment 3 Ingo Malchow 2012-12-09 19:44:07 UTC
Sorry, i was not precise enough. the center tag is deprecated in html4.x, but not supported in html5.

Which obviously doesn't stop major browsers from still supporting it, as some tests showed. So it should work. I guess your question goes around allowing that tag as well, and not stripping it away?
Comment 4 Jarosław Staniek 2012-12-09 19:49:39 UTC
@Ingo yes, allowing that tag as well, and not stripping it away -- would be *wonderful*. 

Or if you have time <center> could be transformed into proper <span class="pull-center"> or so.
Comment 5 Will Entriken 2015-01-27 22:31:59 UTC
+1
Comment 6 Jonathan Riddell 2018-12-10 14:36:32 UTC
planet.kde.org should be fine these days
blogs.kde.org is unmaintained so won't get changed